using System.Windows;
using Caliburn.Micro;

namespace CaliburnMicro.Sample.ViewModels
{
    public class MainPageViewModel : Screen
    {
        private readonly INavigationService _navigationService;

        public MainPageViewModel(INavigationService navigationService)
        {
            _navigationService = navigationService;
        }

        protected override void OnActivate()
        {
            MessageBox.Show("The page has been activated");
        }
        
        protected override void OnInitialize()
        {
            MessageBox.Show("The page has been initialized");
        }

        protected override void OnDeactivate(bool close)
        {
            MessageBox.Show("The page has been deactivated");
        }

        public void GoToSecondPage()
        {
            _navigationService.UriFor<SecondPageViewModel>()
                .WithParam(x => x.Name, "Matteo")
                .Navigate();
        }
    }
}